#ifndef GTK4
const gchar *
gtk_editable_get_text (GtkEditable* editable)
{
	return gtk_entry_get_text (GTK_ENTRY (editable));
}

void
gtk_window_destroy (GtkWindow *window)
{
	gtk_widget_destroy (GTK_WIDGET (window));
}

void
gtk_window_set_child (GtkWindow* window,
					            GtkWidget* widget)
{
	gtk_container_add (GTK_CONTAINER (window), widget);
}

void
gtk_box_append (GtkBox* box,
                GtkWidget* child)
{
  gtk_box_pack_start (box, child, TRUE, TRUE, 0);
}

void
gtk_widget_add_css_class (GtkWidget* widget,
                          const char* css_class)
{
  GtkStyleContext *context = gtk_widget_get_style_context(widget);
  gtk_style_context_add_class(context, css_class);
}

void
gtk_window_set_default_widget (GtkWindow* window,
                               GtkWidget* widget)
{
  gtk_widget_set_can_default (widget, TRUE);
  gtk_widget_grab_default (widget);
}
#endif


void
compat_widget_show (GtkWidget* widget)
{
#ifdef GTK4
  gtk_widget_show (widget);
#else
  gtk_widget_show_all (widget);
#endif
}


GtkWidget*
compat_password_entry ()
{
  GtkWidget *entry;
  #ifdef GTK4
  entry = gtk_password_entry_new ();
  gtk_password_entry_set_show_peek_icon (GTK_PASSWORD_ENTRY (entry), TRUE);
  #else
  entry = gtk_entry_new ();
  gtk_entry_set_visibility (GTK_ENTRY (entry), FALSE);
  #endif
  return entry;
}

